<div *ngIf="categories$ | async as categories; else loader">
  <div class="frow order-row" *ngIf="categories.length !== 0; else empty">
    <div
      *ngFor="let category of categories"
      class="card waves-effect pointer"
      [routerLink]="['/order', category._id]"
    >
      <div class="center">
        <img
          [src]="calculateImgSource(category.imageSrc)"
          class="responsive-img order-img"
        >
      </div>
      <div class="card-content center p10">
        <h5 class="m0">{{category.name}}</h5>
      </div>
    </div>
  </div>
  <ng-template #empty>
    <div class="center">Категорий пока нет.</div>
  </ng-template>
</div>

<ng-template #loader>
  <app-loader></app-loader>
</ng-template>
